% Initialisierungen
k=0; % Summationsindex
S=0; % Partialsumme
tol=10^(-8); % Toleranz zur Berechnung

% Starte Summation
while abs(4*S-pi)>=tol
   S = S + (-1)^k/(2*k+1); % addiere k-ten Summande
   k = k+1;                % ... und erhöhe k für den nächsten Summanden.
end

% Ist die Abbruchbedingung erfüllt, also |4*S-pi| < tol, dann wurde zuvor
% trotzdem k um eins erhöht (in Z7). Der kleinste Index, ab dem die
% Abbruchbedingung erfüllt ist, ist also nicht k sondern k-1

disp(k-1);

% Die Abbruchbedingung ist insofern sinnfrei, da das Ziel des Algorithmus
% ist, die Zahl pi zu approximieren. Wenn man sich auf den Standpunkt
% stellt, dass man pi berechnen bzw. approximieren will, kann man nicht
% einfach das "exakte" pi (bis auf Maschinengenauigkeit) in Zeile 7 für die
% Abbruchbedingung verwenden.

% Das Programm zeigt, dass sehr sehr viele Rechenschritte notwendig sind,
% nur um 8 Nachkommastellen (bei einer Toleranz von 10^-8) zu berechnen.
% Daher ist diese Formel aus numerischer Sicht nicht wirklich brauchbar.
% Die berechnete Reihe konvergiert zwar gegen pi/4, tut dies aber zu
% langsam.