% Plottet die Funktion f aus Aufgabe 16 auf dem Intervall [-2,2];

x=-2:0.01:2; % Erzeugt Vektor [-2,-1.99,-1.98,...,1.98,1.99,2];
             % Damit aufgrund der Fallunterscheidung in der Funktion ein
             % sinnvoller Plot entsteht, sollte sichergestellt werden, dass
             % die "Übergangspunkte" 0 und 1 im Vektor x enthalten sind, da
             % Matlab die berechneten x und y-Werte verbindet.
             
y=zeros(length(x),1); % Initialisiere Vektor für die y-Werte

for k=1:length(x)
    y(k)=func_f(x(k)); % Werte f in x_k aus und speichere Ergebnis in y_k.
end

plot(x,y);
xlabel('-2 \leq x \leq 2');
ylabel('f(x)')

% Die in Aufgabe 16 gegebene Funktion ist in x=1 nicht stetig, da der
% linksseitige Grenzwert 1, der rechtsseitige Grenzwert 2 ist.
% Im Matlab-Plot sieht die Funktion allerdings so aus, als wäre sie stetig.
% Dies liegt daran, dass Matlab nicht direkt die Funktion f plotten kann,
% sondern nur die berechneten Punkte (x_k,y_k) in einem zweidimensionalen
% Koordinatensystem darstellt und mit Geraden verbindet.

% Man kann mit einem zusätzlichen Argument '.' in der Plot-Funktion dafür
% sorgen, dass nur Punkte gezeichnet werden, diese aber nicht verbunden
% werden.
figure(2);
plot(x,y,'.');