% Plotte verschiedene Funktionen einer Funktionenschar in ein Schaubild.

x=-1:0.02:1;    % Vektor der x-Werte
b=[.5,1,1.5,2]; % Vektor mit verschiedenen Werten für b

for k=1:length(b) % Iteriere zunächst über b, da für jeden Wert von b ein Plot erstellt werden muss;
    y=zeros(length(x),1); % Initialisiere Vektor für y-Werte
    for l=1:length(x)
        y(l)=fschar(x(l),b(k)); % Berechne y_l im Punkt x_l mit dem aktuellen Parameter der Funktionenschar
    end
    plot(x,y);
    hold on; % hold on stellt sicher, dass der nächste plot in der selben
             % "figure" erstellt wird, anstatt die vorige figure zu
             % überschreiben.
end

title('Mehrere Funktionen in einem Bild');
xlabel('-1 \leq x \leq 1');
ylabel('f_b(x)');
legend('b=1/2','b=1','b=3/2','b=2');
% Der "legend"-Befehl beschriftet die einzelnen Graphen in der Reihenfolge,
% wie sie gezeichnet wurden. Die Anzahl der Beschriftungen '...' muss also
% mit der Anzahl der Plots übereinstimmen.