%% Preprocessing:
a=1;
b=4;
f=@(x)(1/2*x^2-1);
N=31;           % Anzahl der Stützstellen
h=1e-6;
%h=sqrt(eps);    % Parameter h für den Differenzenquotienten

%% Processing
x=linspace(a,b,N);  % Erstellt äquidistanten Vektor von a nach b mit N Stellen
%x=a:0.1:b;
y1=zeros(1,N);      % Vektor für die Funktionswerte
y2=zeros(1,N);      % Vektor für die approximierten Ableitungswerte
for k=1:N % Iteration über alle Stützstellen
    y1(1,k)=f(x(k));    % Berechne f(x_k)
    if k<N
        y2(1,k)=(f(x(k)+h)-f(x(k)))/h;
        %y2(1,k)=diffQuot(f,x(k),h); % Siehe (*)
    else
        y2(1,k)=(f(x(k))-f(x(k)-h))/h;
    end
end

% (*) Streng genommen haben wir angenommen, dass f nur auf [a,b] definiert
% ist. Um den Differenzenquotienten in x(N)=b zu berechnen, würde der
% Differenzenquotienten also f(b+h) benötigen. Das würde hier zwar
% funktionieren, weil der Funktionsaudruck in Zeile 4 auch außerhalb des
% Intervalls definiert ist, es ist aber im Sinne der Aufgabe nicht richtig.

plot(x,y1); % Plotte f
hold on;    % Stellt sicher, dass der nächste Plot im selben Schaubild erscheint
plot(x,y2);

legend("f(x)","f'(x)");