h=0.01:0.01:1;
n=length(h);
diffQuot=zeros(n,1); % Werte des Differenzenquotienten
errors=zeros(n,1);   % Fehler des Differenzenquotient
% exp(0)=1, deswegen ist der Differenzenquotient
% (exp(h)-1)/h. Der exakte Wert der Ableitung ist exp(0)=1.
for k=1:n
    diffQuot(k)=(exp(h(k))-1)/h(k);
    errors(k)=abs(diffQuot(k)-1);
end
% Plotte h gegen errors mit loglog Plot:
loglog(h,errors,'Marker','o');
% plotte h -> h und h -> h^2 im selben Plot:
hold on;
loglog(h,h);
loglog(h,h.^2);
legend('Fehler','h','h^2');

% Man sieht, dass der Differenzenquotient hier nur
% mit Ordnung 1 konvergiert. Der Unterschied zum vorigen
% Beispiel lässt sich mit Taylor-Entwicklung begründen:
% Es gilt:
% f(h)=f(0)+h*f'(0)+h²/2 f''(0) + h^3/6 f'''(0) + h^4*f''''(xi)/4!
% Bildet man die Differenz zwischen dem Differenzenquotient
% und dem exakten Wert der Ableitung und setzt die
% Taylorentwicklung für f(h) ein kürzen sich f(0) und h*f'(0)
% weg und es bleibt
% (f(h)-f(0))/h-f'(0) 
%=h/2*f''(0)+h^2/6*f'''(0)+h^3/24*f''''(xi)
% Beim Sinus ist f''(0)=0, deswegen konvergiert die Differenz
% wie h² gegen 0. Bei der Exponentialfuntion ist f''(0) nicht 0
% so dass die Differenz nur wie h gegen 0 konvergiert.