% Vergleiche beide Implementierungen der Fibonacci-Folge
n=40;
tic
fiboRecursive(n)
toc

n=40;
tic
fiboIterative(n);
toc

% Die rekursive Implementierung braucht bereits für kleinere Werte von n
% mehrere Sekunden bis Minuten, während die iterative Implementierung auch
% für sehr große n einen vernachlässigbaren Rechenaufwand hat.

% Erklärung: Wir bezeichnen mit r(n) die Anzahl an Additionen, die (beim
% rekursiven Algorithmus) nötig sind, um f(n) zu berechnen. Da f(1) und
% f(2) direkt auf 1 gesetzt werden, sind keine Additionen nötig, also
% r(1)=r(2)=0.
% Für f(3) ist eine Addition erforderlich, also f(3)=1;
% Für f(4) muss f(3)+f(2) berechnet werden, also ist
% r(4)=r(3)+r(2)+1
% Für f(5) muss f(4)+f(3)  berechnet werden, also ist
% r(5)=r(4)+r(3)+1
% usw.

% r(n) erfüllt also die Zwei-Term-Rekursion
% r(n)=r(n-1)+r(n-2)+1
% Diese verhält sich im Wesentlichen wie die Fibonacci-Folge selbst: Wegen
% der +1 wächst r(n) mindestens so schnell wie die Fibonacci-Folge selbst.
% Für große n ist das +1 vernachlässigbar, d.h. für große n wächst r(n) wie
% die Fibonacci-Folge. Man kann mit etwas linearer Algebra eine explizite
% Darstellung des n-ten Folgeglieds der Fibonacci-Folge berechnen, die
% Darstellung lautet
% f(n) = 1/sqrt(5)*()