clear all;
%% Eingabe der Grenzen
% Geben Sie hier die Grenzen des Rechtecks ein, in dem Sie die
% Mandelbrotmenge plotten wollen
xMin=-0.75075;
xMax=-0.73852;
yMin=0.09898;
yMax=0.10816;
% Geben Sie hier die Anzahl der Gitterpunkte in x-Richtung und y-Richtung
% an. Je mehr Gitterpunkte, desto feiner die Auflösung
Nx=801;
Ny=801;
% Geben Sie hier die maximale Anzahl an Iterationen ein. Ein Wert zwischen
% 20 und 100 ist sinnvoll, wenn Sie die gesamte Menge sehen und eine schöne
% Farbabstufung sehen wollen. Je größer Sie nMax wählen, desto schwächer
% wird das Farbmuster. Je weiter Sie an die Ränder der Mandelbrotmenge
% gehen, desto größer sollten Sie nMax wählen.
nMax=80;



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Implementieren Sie den Algorithmus hier!







%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Algorithmus beginnt.
X=linspace(xMin,xMax,Nx); % Gitterpunkte in x-Richtung
Y=linspace(yMin,yMax,Ny); % Gitterpunkte in y-Richtung
[Zr,Zi]=meshgrid(X,Y);
Z=complex(Zr,Zi);
for ii=1:Nx
  for jj=1:Ny
    c=X(jj)+1i*Y(ii);
    z=0;
    for l=1:nMax
      z=z^2+c;
      if abs(z)>2
          Z(ii,jj)=l;
          break;
      end
    end
    if abs(z)<=2
        Z(ii,jj)=nMax+1;
    end
  end
end
% Plotte Mandelbrot-Menge
t=delaunay(Zr,Zi);
colormap('hot');
h=trisurf ( t, Zr, Zi, Z, 'FaceColor', 'interp', 'EdgeColor', 'interp' );
view ( 2 )
axis equal
axis tight
xtitle = sprintf ( '%g <---X---> %g',xMin,xMax);
xlabel ( xtitle );
ytitle = sprintf ( '%g <---Y---> %g',yMin,yMax);
ylabel ( ytitle );
filename = 'mandelbrot.png';
print ( '-dpng', filename ); 