clear all;
%% Eingabe der Grenzen
% Geben Sie hier die Grenzen des Rechtecks ein, in dem Sie die
% Mandelbrotmenge plotten wollen
xMin=-2.25;
xMax=1.25;
yMin=-1.75;
yMax=1.75;
% Geben Sie hier die Anzahl der Gitterpunkte in x-Richtung und y-Richtung
% an. Je mehr Gitterpunkte, desto feiner die Auflösung
Nx=801;
Ny=801;
% Geben Sie hier die maximale Anzahl an Iterationen ein. Ein Wert zwischen
% 20 und 100 ist sinnvoll, wenn Sie die gesamte Menge sehen und eine schöne
% Farbabstufung sehen wollen. Je größer Sie nMax wählen, desto schwächer
% wird das Farbmuster. Je weiter Sie an die Ränder der Mandelbrotmenge
% gehen, desto größer sollten Sie nMax wählen.
nMax=80;



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Implementieren Sie den Algorithmus hier!
X=linspace(xMin,xMax,Nx); % Gitterpunkte in x-Richtung
Y=linspace(yMin,yMax,Ny); % Gitterpunkte in y-Richtung
[Zr,Zi]=meshgrid(X,Y);
Z=complex(Zr,Zi);




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Plotte Mandelbrot-Menge
t=delaunay(Zr,Zi);
colormap('hot');
h=trisurf ( t, Zr, Zi, Z, 'FaceColor', 'interp', 'EdgeColor', 'interp' );
view ( 2 )
axis equal
axis tight
xtitle = sprintf ( '%g <---X---> %g',xMin,xMax);
xlabel ( xtitle );
ytitle = sprintf ( '%g <---Y---> %g',yMin,yMax);
ylabel ( ytitle );
filename = 'mandelbrot.png';
print ( '-dpng', filename ); 