function [w] = matVec(A,v)
% Berechnung des Matrix-Vektor-Produkts
% Input:
% A: (n x m)-Matrix
% v: Vektor
% Output:
% w: A*v
[n,m]=size(A);
if length(v)==m
    w=zeros(n,1); % Das Ergebnis wird ein Vektor der Länge n sein.
    for k=1:n % Berechne den k-ten Eintrag von w
        % Für den k-ten Eintrag von w muss die Summe A(k,l)*v(l) berechnet
        % werden. Eine Initialisierung für die Summe ist hier nicht
        % notwendig. Genauer: Die Summe wurde bereits im Vektor w
        % initialisiert.
        for l=1:m
            w(k)=w(k)+A(k,l)*v(l);
        end
    end
else
    error('Dimensionen passen nicht!');
end
end