function [n1,n2,nInf] = norms(v)
% Berechnet verschiedene Normen des Vektors v.
% Input:
% v: Vektor, dessen Normen berechnet werden
% Output:
% n1: 1-Norm von v
% n2: 2-Norm von v
% nInf: Unendlich-Norm von v

n=length(v); % Die Länge des Vektors wird für alle Berechnungen gebraucht.

%% Berechnung der 1-Norm
n1=0; % Initialisierung
for k=1:n
    n1=n1+abs(v(k));
end
% Alternative mit Matlab-Befehlen: n1=sum(abs(v))

%% Berechnung der 2-Norm
n2=0;
for k=1:n
    n2=n2+v(k)^2;
end
n2=sqrt(n2);
% Alternative mit Matlab-Befehlen: n2=sqrt(sum(v(k).^2))

%% Berechnung der Maximumsnorm.
% Die Idee ist, das Maximum zunächst auf 0 zu setzen und dann die Einträge
% alle durchzugehen. Sobald ein Eintrag betragsmäßig größer als 0 bzw. als
% das bisher gefundene Maximum ist, wird das Maximum durch diesen größeren
% Wert ersetzt.
nInf=0;
for k=1:n
    if abs(v(k))>nInf
        nInf=abs(v(k));
    end
end
 % Alternative mit Matlab-Befehlen: nInf=max(abs(v))
end